import Vue from 'vue'
// import { ONL_AUTH_FIELDS } from "@/store/mutation-types"
// import { getAction } from '@/api/manage'


const kzksInfo = {
  state: {
    //存储数据，用于组件之间的数据传输
    departNameList: [], // 管理驾驶舱部门选择
    pcDateRange: [], // 项目成本预算执行弹窗日期范围选择
  },
  // （大概）区别：mutations用来修改state数据 同步
  mutations: {
    SET_DEPARTNAMELIST: (state, infos) => {
      // console.log('fields',fields)
      // Vue.set(state, 'baseInfos', fields)
      state.departNameList = infos
    },
    SET_PCDATERANGE: (state, infos) => {
      // console.log('fields',fields)
      // Vue.set(state, 'baseInfos', fields)
      state.pcDateRange = infos
    },
  },
  // （大概）区别：actions用来设计复杂逻辑 异步
  actions: {
    setDepartNameList({ commit }, record) {
      commit('SET_DEPARTNAMELIST', record)
    },
    setPcDateRange({ commit }, record) {
      commit('SET_PCDATERANGE', record)
    },
    // this.$store.state.kzksInfo.baseInfos
    // this.$store.dispatch('setWeituoBaseInfos', data)
  }
}

export default kzksInfo